#ifndef __CIRCLE_H
#define __CIRCLE_H

#include "graphic.h"

class Circle: public GObject
{
  public:
    Circle( Screen* newScreen, int x0=0, int y0=0, int radius = 0 );
    //Circle( Circle& c ); // noch nicht fertig!!!!!!!!!!!!!!!!!!!!
    //operator=( Circle& c ); // noch nicht fertig!!!!!!!!!!!!!!!!!!!!
    virtual void draw( void );
    virtual void saveBackground( void );
    virtual void restoreBackground( void );
    virtual void setRadius( int r );

    virtual Bool isOver( int x, int y );
    virtual int North( void );
    virtual int South( void );
    virtual int East( void );
    virtual int West( void );

  protected:
    int radius;
    AreaBuffer* bBuffer;  // Bitmapbuffer
};

#endif // __CIRCLE_H
